<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="SINGNHJXH">

<query id = "Frmsinghjxh.doDelete" desc = "删除">
  DELETE FROM SINGNHJXH T WHERE T.SG_SIGN = ?  AND T.CIC = ?
</query>
<query id = "Frmsinghjxh.doSave" desc = "修改">
<![CDATA[
UPDATE SINGNHJXH T
   SET 
        T.REC_REVISOR = '#REC_REVISOR#',
        T.REC_REVISE_TIME = to_char(sysdate,'yyyymmddhh24miss'),
        T.OUT_SIFE = '#OUT_SIFE#',
        T.OUT_SIMNHJ = '#OUT_SIMNHJ#',
        T.OUT_HC_MNFE = '#OUT_HC_MNFE#',
        T.OUT_MC_MNFE = '#OUT_MC_MNFE#',
        T.OUT_LC_MNFE = '#OUT_LC_MNFE#',
        T.OUT_HC_CRFE = '#OUT_HC_CRFE#',
        T.OUT_MC_CRFE = '#OUT_MC_CRFE#',
        T.OUT_LC_CRFE = '#OUT_LC_CRFE#',
        T.OUT_WC_CRFE = '#OUT_WC_CRFE#',
        T.OUT_MOFE = '#OUT_MOFE#',
        T.OUT_VFE = '#OUT_VFE#',
        T.OUT_NBFE = '#OUT_NBFE#',
        T.OUT_ENI = '#OUT_ENI#',
        T.OUT_CATHODE_COPPER = '#OUT_CATHODE_COPPER#',
        T.OUT_WCU = '#OUT_WCU#',
        T.OUT_LFRB = '#OUT_LFRB#',
        T.OUT_SICABA = '#OUT_SICABA#',
        T.OUT_AL = '#OUT_AL#',
        T.OUT_AL_WIRE = '#OUT_AL_WIRE#',
        T.OUT_TIFE_CORE_WIRE = '#OUT_TIFE_CORE_WIRE#',
        T.OUT_BFE_CORE_WIRE = '#OUT_BFE_CORE_WIRE#',
        T.OUT_S_WIRE = '#OUT_S_WIRE#',
        T.OUT_CA_WIRE = '#OUT_CA_WIRE#',
        T.OUT_AL_POWDER = '#OUT_AL_POWDER#',
        T.OUT_NICALON = '#OUT_NICALON#',
        T.OUT_FERROSILICON_POWDER = '#OUT_FERROSILICON_POWDER#',
        T.OUT_BLOW_GRAPHITE_POWDER = '#OUT_BLOW_GRAPHITE_POWDER#',
        T.OUT_SLAG_CARBURIZING_BALL = '#OUT_SLAG_CARBURIZING_BALL#'
 WHERE
      T.SG_SIGN = '#SG_SIGN#'
	  AND
	  T.CIC = '#CIC#'
 ]]>
</query>
 <query id = "Frmsinghjxh.DoAdd" desc = "新增">
     <![CDATA[
      INSERT INTO SINGNHJXH(
        REC_CREATOR,
        REC_CREATE_TIME,
        SG_SIGN,
        OUT_SIFE,
        OUT_SIMNHJ,
        OUT_HC_MNFE,
        OUT_MC_MNFE,
        OUT_LC_MNFE,
        OUT_HC_CRFE,
        OUT_MC_CRFE,
        OUT_LC_CRFE,
        OUT_WC_CRFE,
        OUT_MOFE,
        OUT_VFE,
        OUT_NBFE,
        OUT_ENI,
        OUT_CATHODE_COPPER,
        OUT_WCU,
        OUT_LFRB,
        OUT_SICABA,
        OUT_AL,
        OUT_AL_WIRE,
        OUT_TIFE_CORE_WIRE,
        OUT_BFE_CORE_WIRE,
        OUT_S_WIRE,
        OUT_CA_WIRE,
        OUT_AL_POWDER,
        OUT_NICALON,
        OUT_FERROSILICON_POWDER,
        OUT_BLOW_GRAPHITE_POWDER,
        OUT_SLAG_CARBURIZING_BALL,
        CIC)
 VALUES( 
        '#REC_CREATOR#',
        '#REC_CREATE_TIME#',
        '#SG_SIGN#',
        '#OUT_SIFE#',
        '#OUT_SIMNHJ#',
        '#OUT_HC_MNFE#',
        '#OUT_MC_MNFE#',
        '#OUT_LC_MNFE#',
        '#OUT_HC_CRFE#',
        '#OUT_MC_CRFE#',
        '#OUT_LC_CRFE#',
        '#OUT_WC_CRFE#',
        '#OUT_MOFE#',
        '#OUT_VFE#',
        '#OUT_NBFE#',
        '#OUT_ENI#',
        '#OUT_CATHODE_COPPER#',
        '#OUT_WCU#',
        '#OUT_LFRB#',
        '#OUT_SICABA#',
        '#OUT_AL#',
        '#OUT_AL_WIRE#',
        '#OUT_TIFE_CORE_WIRE#',
        '#OUT_BFE_CORE_WIRE#',
        '#OUT_S_WIRE#',
        '#OUT_CA_WIRE#',
        '#OUT_AL_POWDER#',
        '#OUT_NICALON#',
        '#OUT_FERROSILICON_POWDER#',
        '#OUT_BLOW_GRAPHITE_POWDER#',
        '#OUT_SLAG_CARBURIZING_BALL#',
        '#CIC#')
      ]]>
 </query>
</queryMap>